import { RestGroupListResponse, RestMessageResponse } from './types';
export declare class Rest {
    private readonly url;
    private readonly accessToken?;
    constructor(url: string, accessToken?: string | undefined);
    /**
     * 向qq群发送消息
     * @param groudId Q群号
     * @param message 发送信息
     */
    sendGroupMessage(groudId: number, message: string): Promise<RestMessageResponse>;
    /**
     * 向qq好友发送消息
     * @param userId 好友qq号
     * @param message 发送信息
     */
    sendPrivateMessage(userId: number, message: string): Promise<RestMessageResponse>;
    /**
     * 获取qq群列表
     */
    getGroupList(): Promise<RestGroupListResponse>;
}
